
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM023-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1305
// INTERFACE : I2C
// MCU 		 : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v-5V
// SCL    PD6SCL
// SDA    PD7SDA


#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
  {	u8 t;
		delay_init();	    	 
		NVIC_Configuration(); 	 
	//		delay_ms(8000);
		OLED_Init();			
		OLED_Clear()  	; 
	
		t=' ';
	
	while(1) 
	{		
OLED_Clear();
	   OLED_ShowString(0,0,"0.91OLEDTEST",8);
		 OLED_ShowString(0,1,"0123456789AB",8);
			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();
	   OLED_ShowString(0,0,"0.91OLEDTEST",16);
			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();
		 OLED_ShowString(0,0,"BUYDISLPAY.COM",16);

			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
	 	  OLED_Clear();
		
		
		    OLED_ShowCHinese(0,2,0);//
		OLED_ShowCHinese(16,2,1);//
		OLED_ShowCHinese(32,2,2);//
		OLED_ShowCHinese(48,2,3);//
		OLED_ShowCHinese(64,2,4);//
		OLED_ShowCHinese(80,2,5);//		
		OLED_ShowCHinese(96,2,6);//
		OLED_ShowCHinese(112,2,7);//		
		

			delay_ms(1000);
	  	delay_ms(1000);
	  	delay_ms(1000);
			OLED_Clear();
	OLED_DrawBMP(0,0,128,4,BMP1);
			delay_ms(1000);
			delay_ms(1000);
	  	delay_ms(1000);
			 OLED_Clear();

	}	  
	
}
	