//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM023-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v-5V
// SCK    PA5
// SDA    PA7
// RES    PB0
// DC     PB1
// CS     PA4 



#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
 int main(void)
 {	u8 t;
		delay_init();	    	   
		NVIC_Configuration(); 	 
		OLED_Init();			
		OLED_Clear()  	; 

		t=' ';
	while(1) 
	{		
		OLED_Clear();
	//	LED_ON;
		    OLED_ShowCHinese(0,0,0);//
		OLED_ShowCHinese(16,0,1);//
		OLED_ShowCHinese(32,0,2);//
		OLED_ShowCHinese(48,0,3);//
		OLED_ShowCHinese(64,0,4);//
		OLED_ShowCHinese(80,0,5);//		
		OLED_ShowCHinese(96,0,6);//
		OLED_ShowCHinese(112,0,7);//		
		
		OLED_ShowString(0,2,"BUYDISPLAY.COM");
				
	
		delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		OLED_Clear();
		OLED_DrawBMP(0,0,128,4,BMP1); 
		delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		delay_ms(8000);
		
	}	  
	
}

